apiVersion: apps/v1
kind: Deployment
metadata:
  name: pretaloger-abb
  namespace: tud-gv
spec:
  selector:
    matchLabels:
      app: pretaloger-abb
  template:
    metadata:
      labels:
        app: pretaloger-abb
        release: pretaloger-abb
    spec:
      containers:
      - name: pretaloger-abb
        image: salekd/pretaloger-abb:3.0.1
        imagePullPolicy: Always
        resources:
          requests:
            cpu: 100m
            memory: 128Mi
        env:
        - name: PERIOD
          value: "1"
        volumeMounts:
        - name: cfg
          mountPath: /pretaloger.cfg
          subPath: pretaloger.cfg
          readOnly: true
      volumes:
      - name: cfg
        configMap:
          name: pretaloger-abb
